# $Revision: 1.7 $, $Date: 2012/07/07 13:54:15 $
Summary:	OAuth library functions
Summary(pl.UTF-8):	Biblioteka Funkcji OAuth
Name:		liboauth
Version:	0.9.7
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://liboauth.sourceforge.net/pool/%{name}-%{version}.tar.gz
# Source0-md5:	103ea90e3330dfcda7b6d59c4c697472
URL:		http://liboauth.sourceforge.net/
BuildRequires:	curl-devel
BuildRequires:	nss-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liboauth is a collection of POSIX-C functions implementing the OAuth
Core RFC 5849 standard. liboauth provides functions to escape and
encode parameters according to OAuth specification and offers
high-level functionality to sign requests or verify OAuth signatures
as well as perform HTTP requests.

%description
liboauth to zbiór funkcji POSIX-C implementujących standard OAuth Core
wg RFC 5849. liboauth udostępnia funkcje zabezpieczające i kodujące
parametry zgodnie ze specyfikacją OAuth. Oferuje także funkcje
wyższego poziomu do podpisywania żądań oraz kontroli podpisów OAuth, a
także wykonywania żądań HTTP

%package devel
Summary:	Development files for liboauth
Summary(pl.UTF-8):	Pliki programistyczne biblioteki liboauth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	nss-devel

%description devel
This package contains the header files for developing applications
that use liboauth.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących liboauth.

%package static
Summary:	Static liboauth library
Summary(pl.UTF-8):	Statyczna biblioteka liboauth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static liboauth library.

%description static -l pl.UTF-8
Statyczna biblioteka liboauth.

%prep
%setup -q

%build
%configure \
	--enable-nss
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liboauth.la

%clean
rm -rf $RPM_BUILD_ROOT


%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.MIT ChangeLog README
%attr(755,root,root) %{_libdir}/liboauth.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liboauth.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboauth.so
%{_includedir}/oauth.h
%{_pkgconfigdir}/oauth.pc
%{_mandir}/man3/oauth.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/liboauth.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboauth.spec,v $
Revision 1.7  2012/07/07 13:54:15  kiesiu
- updated to 0.9.7

Revision 1.6  2011/12/16 17:49:51  qboosh
- updated to 0.9.6

Revision 1.5  2011/11/24 15:52:41  qboosh
- pl
- added -static

Revision 1.4  2011/11/22 09:28:49  kiesiu
- updated to 0.9.5

Revision 1.3  2011/09/25 10:59:48  kiesiu
- devel subpackage requires curl-devel; rel 2

Revision 1.2  2011/09/02 04:41:21  glen
- pldize

Revision 1.1  2011/09/01 22:58:11  patrys
- initial PLD release
